mini18n_set_domain(3)

NAME
mini18n_set_locale, mini18n_set_domain - load translations

SYNOPSIS
#include <mini18n.h> int mini18n_set_locale(const char * filepath); int mini18n_set_domain(const char * dirpath);

DESCRIPTION
mini18n_set_locale() loads a translation from the specified filepath.

mini18n_set_domain() loads a translation matching the system language. The translation file is searched in the directory specified by dirpath. If dirpath is NULL, the translation is searched in the current directory.

RETURN VALUE
These functions return 0 if successful and -1 otherwise.